"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataWalletBackupHeader = void 0;
const index_js_1 = require("../primitives/index.js");
class DataWalletBackupHeader {
    constructor(hash, timestamp, priority, dataType, isField) {
        this.hash = hash;
        this.timestamp = timestamp;
        this.priority = priority;
        this.dataType = dataType;
        this.isField = isField;
    }
    get name() {
        const sanitized = this._sanitizeDataType(this.dataType);
        return (0, index_js_1.BackupFileName)(`${this.priority}_${sanitized}_${this.timestamp}_${this.hash}_${this.isField}`);
    }
    _sanitizeDataType(dataType) {
        return dataType.replace("_", "$");
    }
}
exports.DataWalletBackupHeader = DataWalletBackupHeader;
//# sourceMappingURL=DataWalletBackupHeader.js.map