"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParsedBackupFileName = void 0;
class ParsedBackupFileName {
    constructor(priority, dataType, timestamp, hash, isField) {
        this.priority = priority;
        this.dataType = dataType;
        this.timestamp = timestamp;
        this.hash = hash;
        this.isField = isField;
    }
    static parse(path) {
        const name = path.split(/[/ ]+/).pop();
        if (name == undefined) {
            return null;
        }
        const split = name.split("_");
        if (split.length != 5) {
            return null;
        }
        return new ParsedBackupFileName(Number.parseInt(split[0]), ParsedBackupFileName._getDataType(split[1]), Number.parseInt(split[2]), split[3], split[4] == "true");
    }
    static _getDataType(raw) {
        return raw.replace("$", "_");
    }
}
exports.ParsedBackupFileName = ParsedBackupFileName;
//# sourceMappingURL=ParsedBackupFileName.js.map