import { Subject } from "rxjs";
import { BackupCreatedEvent } from "../../businessObjects/events/BackupCreatedEvent.js";
import { BackupRestoreEvent } from "../../businessObjects/events/BackupRestoreEvent.js";
import { CloudStorageActivatedEvent } from "../../businessObjects/events/CloudStorageActivatedEvent.js";
import { DataPermissionsUpdatedEvent } from "../../businessObjects/events/DataPermissionsUpdatedEvent.js";
import { PermissionsGrantedEvent } from "../../businessObjects/events/PermissionsGrantedEvent.js";
import { PermissionsRequestedEvent } from "../../businessObjects/events/PermissionsRequestedEvent.js";
import { QueryPerformanceEvent } from "../../businessObjects/events/query/index.js";
import { SocialProfileLinkedEvent, SocialProfileUnlinkedEvent } from "../../businessObjects/events/social/index.js";
import { MetatransactionSignatureRequest } from "../../businessObjects/MetatransactionSignatureRequest.js";
import { PortfolioUpdate } from "../../businessObjects/PortfolioUpdate.js";
import { EarnedReward } from "../../businessObjects/rewards/index.js";
import { SDQLQueryRequest } from "../../businessObjects/SDQLQueryRequest.js";
import { TokenBalance } from "../../businessObjects/TokenBalance.js";
import { EVMTransaction, LinkedAccount, QueryStatus } from "../../businessObjects/versioned/index.js";
import { WalletNFT } from "../../businessObjects/WalletNFT.js";
import { ISnickerdoodleCoreEvents } from "../../interfaces/index.js";
import { CountryCode, DataWalletAddress, DomainName, EVMContractAddress, Gender, IpfsCID, UnixTimestamp } from "../../primitives/index.js";
export declare class PublicEvents implements ISnickerdoodleCoreEvents {
    onInitialized: Subject<DataWalletAddress>;
    onQueryPosted: Subject<SDQLQueryRequest>;
    onQueryParametersRequired: Subject<IpfsCID>;
    onQueryStatusUpdated: Subject<QueryStatus>;
    onAccountAdded: Subject<LinkedAccount>;
    onPasswordAdded: Subject<void>;
    onAccountRemoved: Subject<LinkedAccount>;
    onPasswordRemoved: Subject<void>;
    onCohortJoined: Subject<EVMContractAddress>;
    onCohortLeft: Subject<EVMContractAddress>;
    onDataPermissionsUpdated: Subject<DataPermissionsUpdatedEvent>;
    onTransaction: Subject<EVMTransaction>;
    onMetatransactionSignatureRequested: Subject<MetatransactionSignatureRequest>;
    onTokenBalanceUpdate: Subject<PortfolioUpdate<TokenBalance[]>>;
    onNftBalanceUpdate: Subject<PortfolioUpdate<WalletNFT[]>>;
    onBackupRestored: Subject<BackupRestoreEvent>;
    onBackupCreated: Subject<BackupCreatedEvent>;
    onEarnedRewardsAdded: Subject<EarnedReward[]>;
    onPermissionsGranted: Subject<PermissionsGrantedEvent>;
    onPermissionsRequested: Subject<PermissionsRequestedEvent>;
    onPermissionsRevoked: Subject<DomainName>;
    onSocialProfileLinked: Subject<SocialProfileLinkedEvent>;
    onSocialProfileUnlinked: Subject<SocialProfileUnlinkedEvent>;
    onBirthdayUpdated: Subject<UnixTimestamp>;
    onGenderUpdated: Subject<Gender>;
    onLocationUpdated: Subject<CountryCode>;
    onCloudStorageActivated: Subject<CloudStorageActivatedEvent>;
    onCloudStorageDeactivated: Subject<CloudStorageActivatedEvent>;
    queryPerformance: Subject<QueryPerformanceEvent>;
    constructor();
}
//# sourceMappingURL=PublicEvents.d.ts.map