"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryPerformanceEvent = void 0;
/**
 * Important Note on Evaluation Events:
 *
 * The evaluation events also encompass data access events. For instance, if an age evaluation
 * takes 10ms and the corresponding age data access event takes 9ms, then the other processes
 * in the age query approximately consume 1ms.
 *
 * Please be aware that most of our asynchronous operations are CPU-bound. As a result, when
 * performing `Promise.all` on extensive operations, unexpected results may arise. Exercise
 * caution when leveraging these events for large queries.
 */
class QueryPerformanceEvent {
    constructor(type, status, queryCID, subQueryIdentifier, error) {
        this.type = type;
        this.status = status;
        this.queryCID = queryCID;
        this.subQueryIdentifier = subQueryIdentifier;
        this.error = error;
    }
}
exports.QueryPerformanceEvent = QueryPerformanceEvent;
//# sourceMappingURL=QueryPerformanceEvent.js.map