import { EVMEvent } from "../../businessObjects/EVMEvent";
import { EVMFunctionSignature } from "../../businessObjects/EVMFunctionSignature.js";
import { ChainTransaction } from "../../businessObjects/versioned/ChainTransaction.js";
import { EChain } from "../../enum/index.js";
import { EVMAccountAddress, BigNumberString, UnixTimestamp, EVMTransactionHash, EVMContractAddress } from "../../primitives/index.js";
/**
 * This is a concrete implementation of the Transaction class from Ethers. I'd really prefer to not have to
 * import and depend on Ethers directly, but odds are any project that is using @snickerdoodlelabs/objects
 * is also importing Ethers.
 * Docs are here: https://docs.ethers.io/v5/api/utils/transactions/#Transaction
 */
export declare class EVMTransaction extends ChainTransaction {
    chain: EChain;
    hash: EVMTransactionHash;
    timestamp: UnixTimestamp;
    blockHeight: number | null;
    to: EVMAccountAddress | null;
    from: EVMAccountAddress | null;
    value: BigNumberString | null;
    gasPrice: BigNumberString | null;
    contractAddress: EVMContractAddress | null;
    input: string | null;
    methodId: string | null;
    functionName: string | null;
    events: EVMEvent[] | null;
    measurementDate: UnixTimestamp;
    accountAddresses: EVMAccountAddress[];
    functionSignature: EVMFunctionSignature | null;
    constructor(chain: EChain, hash: EVMTransactionHash, timestamp: UnixTimestamp, blockHeight: number | null, to: EVMAccountAddress | null, from: EVMAccountAddress | null, value: BigNumberString | null, gasPrice: BigNumberString | null, contractAddress: EVMContractAddress | null, input: string | null, methodId: string | null, functionName: string | null, events: EVMEvent[] | null, measurementDate: UnixTimestamp);
    private _getDescendants;
}
//# sourceMappingURL=EVMTransaction.d.ts.map