"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EligibleAdMigrator = exports.EligibleAd = void 0;
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
class EligibleAd extends VersionedObject_js_1.VersionedObject {
    constructor(consentContractAddress, queryCID, key, // 'a1'
    name, content, text, displayType, weight, expiry, keywords) {
        super();
        this.consentContractAddress = consentContractAddress;
        this.queryCID = queryCID;
        this.key = key;
        this.name = name;
        this.content = content;
        this.text = text;
        this.displayType = displayType;
        this.weight = weight;
        this.expiry = expiry;
        this.keywords = keywords;
    }
    getUniqueId() {
        return this.queryCID + this.key;
    }
    getVersion() {
        return EligibleAd.CURRENT_VERSION;
    }
}
exports.EligibleAd = EligibleAd;
EligibleAd.CURRENT_VERSION = 1;
class EligibleAdMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return EligibleAd.CURRENT_VERSION;
    }
    factory(data) {
        return new EligibleAd(data["consentContractAddress"], data["queryCID"], data["key"], data["name"], data["content"], data["text"], data["displayType"], data["weight"], data["expiry"], data["keywords"]);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.EligibleAdMigrator = EligibleAdMigrator;
//# sourceMappingURL=EligibleAd.js.map