import { EVMTransaction } from "../../businessObjects/versioned/EVMTransaction.js";
import { BigNumberString, ChainId, EVMAccountAddress, EVMContractAddress, EVMTransactionHash, UnixTimestamp } from "../../primitives/index.js";
export declare enum EPolygonTransactionType {
    ERC20 = 0,
    ERC721 = 1,
    ERC1155 = 2
}
export declare class PolygonTransaction extends EVMTransaction {
    chainId: ChainId;
    hash: EVMTransactionHash;
    timestamp: UnixTimestamp;
    blockHeight: number | null;
    to: EVMAccountAddress | null;
    from: EVMAccountAddress | null;
    value: BigNumberString | null;
    gasPrice: BigNumberString | null;
    contractAddress: EVMContractAddress | null;
    tokenId: BigNumberString | null;
    type: EPolygonTransactionType;
    measurementDate: UnixTimestamp;
    constructor(chainId: ChainId, hash: EVMTransactionHash, timestamp: UnixTimestamp, blockHeight: number | null, to: EVMAccountAddress | null, from: EVMAccountAddress | null, value: BigNumberString | null, gasPrice: BigNumberString | null, contractAddress: EVMContractAddress | null, tokenId: BigNumberString | null, type: EPolygonTransactionType, measurementDate: UnixTimestamp);
}
//# sourceMappingURL=PolygonTransaction.d.ts.map