"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReceivingAccountMigrator = exports.ReceivingAccount = void 0;
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
class ReceivingAccount extends VersionedObject_js_1.VersionedObject {
    constructor(contractAddress, receivingAddress) {
        super();
        this.contractAddress = contractAddress;
        this.receivingAddress = receivingAddress;
    }
    getVersion() {
        return ReceivingAccount.CURRENT_VERSION;
    }
}
exports.ReceivingAccount = ReceivingAccount;
ReceivingAccount.CURRENT_VERSION = 1;
class ReceivingAccountMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return ReceivingAccount.CURRENT_VERSION;
    }
    factory(data) {
        return new ReceivingAccount(data["contractAddress"], data["receivingAddress"]);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.ReceivingAccountMigrator = ReceivingAccountMigrator;
//# sourceMappingURL=ReceivingAccount.js.map