import { NetworkUnreachableError, InsufficientFundsError, InvalidArgumentError, MissingArgumentError, UnexpectedArgumentError, UnknownBlockchainError, GasTooLowError, InvalidAddressError, ExecutionRevertedError, SignerUnavailableError } from "../errors/index.js";
export declare class BlockchainErrorMapper {
    protected static blockchainErrorMapping: Map<string, (error: unknown | null) => BlockchainCommonErrors>;
    static buildBlockchainError(error: any): BlockchainCommonErrors;
    static buildBlockchainError<TGenericError>(error: any, generateGenericError?: (msg: string, reason: string | undefined, err: unknown) => TGenericError): BlockchainCommonErrors | TGenericError;
    protected static getErrorKey(errorString: string | undefined): string;
    static getSpecificProviderError(error: any): string | null;
}
export type BlockchainCommonErrors = UnknownBlockchainError | NetworkUnreachableError | InsufficientFundsError | InvalidArgumentError | MissingArgumentError | UnexpectedArgumentError | GasTooLowError | InvalidAddressError | ExecutionRevertedError | SignerUnavailableError;
//# sourceMappingURL=BlockchainErrorMapper.d.ts.map